petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPCHEBYSHEV

The preconditioned Chebyshev iterative method

### Options Database Keys

| -ksp_chebyshev_eigenvalues <emin,emax> | - set approximations to the smallest and largest eigenvalues Many brof the preconditioned operator. If these are accurate you will get much faster convergence. Many br
| -ksp_chebyshev_esteig <a,b,c,d> | - estimate eigenvalues using a Krylov method, then use this Many brtransform for Chebyshev eigenvalue bounds (KSPChebyshevEstEigSet()) Many br
| -ksp_chebyshev_esteig_steps | - number of estimation steps Many br
| -ksp_chebyshev_esteig_random | - use random number generator to create right hand side for eigenvalue estimator Many br

Many br

Notes: The Chebyshev method requires both the matrix and preconditioner to Many brbe symmetric positive (semi) definite. Many brOnly support for left preconditioning. Many br

Chebyshev is configured as a smoother by default, targetting the "upper" part of the spectrum. Many brThe user should call KSPChebyshevSetEigenvalues() if they have eigenvalue estimates. Many br

### See Also

KSPCreate(), KSPSetType(), KSPType (for list of available types), KSP,
KSPChebyshevSetEigenvalues(), KSPChebyshevEstEigSet(), KSPChebyshevEstEigSetUseRandom(), KSPChebyshevEstEigSetRandom(), Many brKSPRICHARDSON, KSPCG, PCMG Many br

Level:beginner
Location:src/ksp/ksp/impls/cheby/cheby.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages